package com.yuchen.saas.park.service.service.fire.inspect;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.fire.inspect.plan.*;
import com.yuchen.saas.park.api.entity.fire.inspect.SaasParkFireInspectPlanTask;
import com.yuchen.saas.park.api.vo.fire.inspect.plan.FireInspectPlanTaskCountVO;
import com.yuchen.saas.park.api.vo.fire.inspect.plan.FireInspectPlanTaskDetailVO;
import com.yuchen.saas.park.api.vo.fire.inspect.plan.FireInspectPlanTaskVO;
import org.nest.springwrap.core.mp.support.NestPage;

import java.util.List;

/**
 * <p>
 * 巡检任务表 服务类
 * </p>
 *
 * @author zhouhanwei
 * @since 2024-04-03
 */
public interface ISaasParkFireInspectPlanTaskService extends IService<SaasParkFireInspectPlanTask> {

    NestPage<FireInspectPlanTaskVO> findFireInspectPlanTaskPage(FireInspectPlanTaskReqDTO reqDTO);

    FireInspectPlanTaskCountVO getPlanTaskCount(FireInspectPlanTaskReqDTO reqDTO);

    FireInspectPlanTaskDetailVO getFireInspectPlanTaskById(Long planTaskId);

    Boolean closePlanTask(ClosePlanTaskReqDTO reqDTO);

    Boolean addTemporaryTask(AddTemporaryTaskReqDTO reqDTO);

    Boolean adjustPlanTask(AdjustPlanTaskReqDTO reqDTO);

    List<SaasParkFireInspectPlanTask> getInspectTaskBoardChart(FireInspectTaskBoardReqDTO reqDTO);
}
